body {
  font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
}
.container {
  /* fluid center containter */
  max-width: 900px;
  margin: 0 auto;
  padding: 20px;
  padding-bottom: 0;
}
.logo {
  width: 80%;
  margin-left: 15%;
  margin-top: -30px;
  margin-bottom: 42px;
}
.code-editor {
  border: 1px solid #ccc;
  border-radius: 4px;
  box-sizing: border-box;
}
.section-heading {
  font-size: 24px;
  margin-top: 40px;
  margin-bottom: 12px;
}
.example-picker-container {
  margin-bottom: 30px;
}
.run {
  background-color: #007722;
  color: white;
  border: none;
  padding: 6px 12px;
  text-align: center;
  text-decoration: none;
  display: inline-block;
  font-size: 16px;
  cursor: pointer;
}
.run:disabled {
  background-color: #ccc;
  cursor: not-allowed;
}
.step3 {
  margin-bottom: 32px;
}

@keyframes pulse {
  0% {
    opacity: 1;
  }
  50% {
    opacity: 0.5;
  }
  100% {
    opacity: 1;
  }
}

.loading-indicator {
  font-size: 16px;
  color: #555;
  animation: pulse 2s infinite;
}

.output {
  white-space: pre-wrap;
}

.tab-headers {
  flex-wrap: wrap;
}

.tab-header {
  display: inline-block;
  padding: 2px 5px;
  margin-right: 7px;
  background-color: #f0f0f0;
  border: 1px solid #ccc;
  border-bottom: none;
  border-top-left-radius: 6px;
  border-top-right-radius: 6px;
  cursor: pointer;
  font-size: 0.9em;
}

.tab-header.active {
  background-color: #ffffff;
  border-bottom: 1px solid #ffffff;
}

.mode-switcher {
  margin-left: 30px;
  display: inline-block;
  text-decoration: none;
  color: #007722;
  font-size: 0.9em;
}

.matrix-overview {
  margin-left: 30px;
  display: inline-block;
  text-decoration: none;
  color: #007722;
  font-size: 0.9em;
}

.overlay {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: rgba(0, 0, 0, 0.5);
  display: flex;
  justify-content: center;
  align-items: center;
  z-index: 1000;
  overflow: auto;
  overscroll-behavior: contain;
}

.modal {
  background: white;
  padding: 20px;
  border-radius: 8px;
  height: 90vh;
  width: calc(min(900px, 90vw));
}

.matrix-table {
  width: 100%;
  border-collapse: collapse;
}

.matrix-table th,
.matrix-table td {
  border: 1px solid #ccc;
  padding: 8px;
  text-align: left;
}

.close-btn {
  margin-top: 32px;
}
